ApiPipelines

List Pipelines

GET
/public/v1/pipelines

Returns paginated pipelines. Supported sort fields: name, created_at, updated_at.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Query Parameters

page?string

Page number.

per_page?string

Items per page, up to 100.

sort_by?string

Sort field.

sort_direction?string

Sort direction: asc or desc.

include?string

Comma-separated includes. Supported: stages.

search?string

Filter by search.

Response Body

Successful response

application/json
  1. response
data?array<>
meta?
[key: string]?any
Example Request
curl -X GET 'https://api.agiled.ai/public/v1/pipelines'
Example Response
{  "data": [    {      "created_at": "string",      "id": "string",      "updated_at": "string"    }  ],  "meta": {    "current_page": 0,    "last_page": 0,    "per_page": 0,    "total": 0  }}